
public class Class88 {

   int[] anIntArray876;
   int[] anIntArray877;
   int[] anIntArray878;
   int[] anIntArray879;
   int[] anIntArray880;
   int[] anIntArray881;
   int[] anIntArray882;


   Class88(RS2Buffer var1) {
      int var2 = var1.readSmart(1776574215);
      this.anIntArray878 = new int[var2];
      this.anIntArray876 = new int[var2];
      this.anIntArray877 = new int[var2];
      this.anIntArray879 = new int[var2];
      this.anIntArray880 = new int[var2];
      this.anIntArray881 = new int[var2];
      this.anIntArray882 = new int[var2];

      for(int var3 = 0; var3 < var2; ++var3) {
         this.anIntArray878[var3] = var1.readUnsignedShort(-937710807) - 5120;
         this.anIntArray877[var3] = var1.readUnsignedShort(-937710807) - 5120;
         this.anIntArray876[var3] = var1.method13732(371473417);
         this.anIntArray880[var3] = var1.readUnsignedShort(-937710807) - 5120;
         this.anIntArray882[var3] = var1.readUnsignedShort(-937710807) - 5120;
         this.anIntArray881[var3] = var1.method13732(983698320);
         this.anIntArray879[var3] = var1.method13732(120233462);
      }

   }

   void method1774(int var1, int var2) {
      int[][] var3 = new int[this.anIntArray878.length << 1][4];

      for(int var4 = 0; var4 < this.anIntArray878.length; ++var4) {
         var3[2 * var4][0] = this.anIntArray878[var4];
         var3[var4 * 2][1] = this.anIntArray876[var4];
         var3[var4 * 2][2] = this.anIntArray877[var4];
         var3[var4 * 2][3] = this.anIntArray879[var4];
         var3[var4 * 2 + 1][0] = this.anIntArray880[var4];
         var3[2 * var4 + 1][1] = this.anIntArray881[var4];
         var3[1 + 2 * var4][2] = this.anIntArray882[var4];
         var3[var4 * 2 + 1][3] = this.anIntArray879[var4];
      }

      client.anIntArrayArrayArray7752[var1] = var3;
   }

   void method1775(int var1) {
      int[][] var2 = new int[this.anIntArray878.length << 1][4];

      for(int var3 = 0; var3 < this.anIntArray878.length; ++var3) {
         var2[2 * var3][0] = this.anIntArray878[var3];
         var2[var3 * 2][1] = this.anIntArray876[var3];
         var2[var3 * 2][2] = this.anIntArray877[var3];
         var2[var3 * 2][3] = this.anIntArray879[var3];
         var2[var3 * 2 + 1][0] = this.anIntArray880[var3];
         var2[2 * var3 + 1][1] = this.anIntArray881[var3];
         var2[1 + 2 * var3][2] = this.anIntArray882[var3];
         var2[var3 * 2 + 1][3] = this.anIntArray879[var3];
      }

      client.anIntArrayArrayArray7752[var1] = var2;
   }

   static void method1776(int var0) {
      Class18.aClass35_Sub1_185 = new Class35_Sub1(client.aClass5_7908);
      Class18.aClass35_Sub1_185.method995(Class30.aClass30_364, (byte)-51);

      try {
         Class66_Sub3 var1 = (Class66_Sub3)Class18.aClass35_Sub1_185.method887(Class106.aClass106_1036, false, 1040566717);
         Class461_Sub2 var2 = (Class461_Sub2)Class18.aClass35_Sub1_185.method1013(Class32.aClass32_372, false, 310197483);
         var1.method13097(Class336.aClass35_Sub1_4206.method1006(-417127997), 601858817);
         var2.method12769(new Class321(0.0F, 0.0F, 0.0F), (byte)73);
      } catch (Exception_Sub4 var3) {
         ;
      }

      Class18.anInt186 = Class420.aClass242_5333.method4336(-875927841) * -1530960345;
      Class18.anInt187 = Class420.aClass242_5333.method4351(65292887) * -2098331305;
      Class18.aBool184 = true;
   }

   static final void method1777(Class508 var0, int var1) {
      var0.anInt6005 -= -93697366;
      String var2 = (String)var0.anObjectArray6004[639741949 * var0.anInt6005];
      String var3 = (String)var0.anObjectArray6004[1 + 639741949 * var0.anInt6005];
      if(Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.aClass540_10860 != null) {
         if(var1 != '\uff00') {
            ;
         }

         if(Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.aClass540_10860.aBool7313) {
            if(var1 != '\uff00') {
               ;
            }

            var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var3;
            return;
         }
      }

      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var2;
   }

   static final void method1778(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[-937710807 * var0.anInt6003];
      int var3 = var0.anIntArray6027[1 + var0.anInt6003 * -937710807];
      if(null != Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.aClass540_10860) {
         Class5.aClass515_Sub1_Sub4_Sub4_Sub1_113.aClass540_10860.method11331(var2, var3, Class277.aClass410_3220, (short)-975);
      }
   }
}
